### Method

# Adw Animationget_state

#### Declaration [src]

    AdwAnimationState
    adw_animation_get_state (
      AdwAnimation* self
    )

#### Description [src]

Gets the current value of `self`.

The state indicates whether `self` is currently playing, paused, finished or hasn’t been started yet.

Gets property | `Adw.Animation:state`

#### Return value

Type: `AdwAnimationState`

The animation value.